<ng-template #loading>
  <div class="alert alert-warning text-center">
    Espere porfavor cargando
  </div>
</ng-template>

<div *ngIf="country; else loading">
  <div class="row">
    <div class="col-12">
      <h2>País: <strong>{{country.name.common}}</strong></h2>
      <hr>
    </div>
  </div>

  <div class="row">
    <div class="col-4">
      <h3>Bandera</h3>
      <img [src]="country.flags.svg" [alt]="country.flags.alt" class="img-thumbnail">
    </div>

    <div class="col">
      <h3>Informacion</h3>
      <ul class="list-group">
        <li class="list-group-item">
          <strong>Poblacion: </strong> {{country.population | number}}
        </li>

        <li class="list-group-item">
          <strong>Codigo: </strong> {{country.cca3}}
        </li>

      </ul>
    </div>
  </div>

  <div class="row mt-2">
    <div class="col">
      <h3>Traducciones</h3>

      <div class="d-flex flex-wrap">
        <span *ngFor="let translation of country.translations | keyvalue" class="badge bg-primary mt-1 me-1">
          {{translation.key}} : {{translation.value.common}}
        </span>
      </div>
    </div>
  </div>
</div>